%global checkout 20130401snap

Summary:	Graphical client for Firebird
Name:		flamerobin
Version:	0.9.3
Release:	12.%{checkout}%{?dist}
License:	BSD
Group:		Applications/Databases
#Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git archive --format=tar \
#   --remote=git://git.code.sf.net/p/flamerobin/flamerobin-git \
#   cb9ef83ec798b94dfce8e14af07c1978c6a3cb9b | gzip -9 > flamerobin-0.9.3-20130401snap.tar.gz
Source0:	%{name}-%{version}-%{checkout}.tar.gz
# Updates boost.m4 to latest upstream, needed to fix build with GCC 5:
# https://sourceforge.net/p/flamerobin/bugs/256/
# Requires autoreconf
Patch0:		configure-gcc5.patch
URL:		http://www.flamerobin.org/
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:	wxGTK-devel >= 2.8
BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q -c -n %{name}
%patch0 -p1

%build
%configure 
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f %{buildroot}/%{_datadir}/pixmaps/%{name}.png
cp -f ./res/%{name}.xpm %{buildroot}/%{_datadir}/%{name}/%{name}.xpm

sed	"s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
sed	"s@Icon=/usr/share/pixmaps/flamerobin.png@Icon=%{_datadir}/%{name}/%{name}.xpm@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop	
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}


%changelog
* Mon Jul 27 2015 Adam Williamson <awilliam@redhat.com> - 0.9.3-12.20130401snap
- rediff configure-gcc5.patch for Fedora, add comment linking to upstream bug

* Sat Jul 24 2015 Philippe Makowski <makowski@fedoraproject.org>
- patch build for Boost 1.58

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.9.3-11.20130401snap
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-10.20130401snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.9.3-9.20130401snap
- Rebuild for boost 1.57.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-8.20130401snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-7.20130401snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.9.3-6.20130401snap
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.9.3-5.20130401snap
- rebuild for boost 1.55.0

* Thu Aug 08 2013 Philippe Makowski <makowski@fedoraproject.org>  0.9.3-4.20130401snap
- Prune unnecessary content from tarball  (bug #981900)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-3.20130401snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.9.3-2.20130401snap
- Rebuild for boost 1.54.0

* Mon Apr 01 2013  Philippe Makowski <makowski@fedoraproject.org> 0.9.3-1
- Fix failed build for aarch64
- New upstream

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 11 2011  Philippe Makowski <makowski@fedoraproject.org> 0.9.2-4
- Fix failed build for Fedora 15

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 0.9.2-2
- rebuilt against wxGTK-2.8.11-2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild


* Sun Apr 12 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 0.9.2-0
- First Fedora build
- New upstream: 0.9.2

* Tue Mar 24 2009 Philippe Makowski <makowski@firebird-fr.eu.org> 0.9.0-1
- Update to 0.9.0
- First mipsel build

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-3mdv2009.0
+ Revision: 245195
- rebuild

* Thu Jan 31 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.3-1mdv2008.1
+ Revision: 160873
- New upstream: 0.8.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.1-1mdv2008.1
+ Revision: 99959
- Fix configure permission.
- New upstream: 0.8.1
- New upstream: 0.8.0

* Tue May 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.6-3mdv2008.0
+ Revision: 26964
- Rebuilt against new wx stuff.


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.7.6-2mdv2007.0
+ Revision: 100700
- rebuild

* Mon Nov 27 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.6-1mdv2007.1
+ Revision: 87367
- New upstream: 0.7.6
- Added menu icon.

* Thu Nov 16 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-5mdv2007.1
+ Revision: 84903
- Added BuildRequires for ImageMagick: due to convert usage.
- Rebuilt against firebird 2.0 final.

* Thu Sep 07 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-4mdv2007.0
+ Revision: 60258
- New upstream: 0.7.5

* Wed Sep 06 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.2-4mdv2007.0
+ Revision: 59989
- Removed old-style menu entry. The new one (.desktop) will be added later.
- Import flamerobin

* Sat Sep 02 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
- Fixed BuildRequires.
- Removed hardcoded buildrequires to libraries: they should be automatic.
- Enhanced package description.

* Thu Aug 24 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- change Requires to libfirebird2

* Thu Aug 17 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- initial release

